#
# spec file for package postgresql-pl (Version 8.1.22)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           postgresql-pl
BuildRequires:  krb5-devel openssl-devel pam-devel python-devel tcl-devel
Summary:        The PL/Tcl, PL/Perl, and PL/Python Procedural Languages for PostgreSQL
Version:        8.1.22
Release:        0.<RELEASE4>
License:        BSD 3-Clause
Group:          Productivity/Databases/Servers
Source0:        postgresql-%version.tar.bz2
NoSource:       0
Url:            http://www.postgresql.org/
Requires:       postgresql-server = 8.1
Obsoletes:      postgresql-plperl
Provides:       postgresql-plperl postgresql-pltcl postgresql-plpython
Provides:       postgresql-tcl:%_libdir/postgresql/pltcl.so
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define pls plperl plpython tcl

%description
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Tcl, PL/Perl, and PL/Python procedural
languages for PostgreSQL.  With these modules one can use Perl, Python,
and Tcl to write stored procedures, functions, and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%prep
# The sources for the postgresql-pl package can be found
# in the postgresql source RPM.
%setup -q -n postgresql-%{version}

%build
#autoconf
export CFLAGS="%optflags"
export LIBNAME=%_lib
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--bindir=%_bindir \
	--includedir=%_includedir/pgsql \
	--datadir=%_datadir/postgresql \
	--mandir=%_mandir \
	--with-docdir=%_docdir \
	--enable-nls \
	--enable-thread-safety \
        --enable-thread-safety-force \
	--enable-integer-datetimes \
	--without-readline \
	--with-python \
	--with-perl \
	--with-tcl \
	--without-tk \
	--with-tclconfig=%_libdir \
	--with-openssl \
	--with-pam \
%if %suse_version < 1000
	--with-includes="/usr/include/heimdal /usr/include/et" \
%endif
	--with-krb5
# needed for plperl
make -C src/backend ../../src/include/utils/fmgroids.h
for f in %pls; do
	make %{?jobs:-j%jobs} -C src/pl/$f all
done

%install
for f in %pls; do
	make DESTDIR=%buildroot -C src/pl/$f install
done

%clean
rm -rf %buildroot
# Ok, we are dynamically generating some filelists.  These are by default
# under the BUILD/postgresql-x.y.z tree.
# Note that macros such as config are available in those lists.
# The lists differentiate between RedHat, SuSE, and others.

%files
%defattr(-,root,root)
%_libdir/postgresql
%_datadir/postgresql
%_bindir/pltcl*

%changelog
